Right-aligned TOC tag is displayed in exported PDF if the text formatting setting is Markdown
Resolution: Fixed Affected version: 3.4.8
Description

Hello,

If we have a right toc :
{{>toc}}
In a wiki page on REDMINE with text formatting markdown.

The toc

{{>toc}}
Appear in the PDF
No problem for left toc.

Thanks

Related issues:
Related to Redmine - Defect #16236: Right-aligned table of contents (TOC) not... Closed

Associated revisions

Revision 19480 - 2020-01-30 09:34 - Go MAEDA
Right-aligned TOC tag is displayed in exported PDF if the text formatting setting is Markdown (#32477).

Patch by Yuichi HARADA.

Revision 19491 - 2020-02-04 05:44 - Go MAEDA
Merged r19480 from trunk to 4.1-stable (#32477).

History

#1 - 2019-12-06 01:08 - Go MAEDA
- Category changed from Wiki to PDF export

- Status changed from New to Confirmed

#2 - 2019-12-06 01:11 - Go MAEDA
- Related to Defect #16236: Right-aligned table of contents (TOC) not working with markdown added

#3 - 2019-12-12 07:09 - Yuichi HARADA

| modified the regular expression with reference to TOC_RE of app/helpers/application_helper.rb .
| confirmed that {{toc}}, {{<toc}} and {{>toc}} do not export to PDF.

diff --git a/lib/redmine/export/pdf.rb b/lib/redmine/export/pdf.rb
index ¢8189367b..0adcbl8c7 100644

-—- a/lib/redmine/export/pdf.rb

+++ b/lib/redmine/export/pdf.rb

@@ -92,7 +92,7 QR module Redmine
https://www.redmine.org/projects/redmine/repository/entry/trunk/app/helpers/application_helper.rb#L1312

</style>"'

# Strip {{toc}} tags
- txt = txt.gsub (/<p>\{\{ ([<>]?)toc\}\}<\/p>/1, '")

+ txt = txt.gsub (/<p>\{\{ ((<|&lt;) | (>|&gt;))2toc\}\}<\/p>/1i, '")
writeHTMLCell(w, h, x, vy, css_tag + txt, border, 1ln, fill)
end

#4 - 2019-12-12 10:31 - Go MAEDA

- Target version set to Candidate for next minor release

#5 - 2020-01-20 05:36 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.7

Setting the target version to 4.0.7.

#6 - 2020-01-30 09:34 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#7 - 2020-02-04 05:48 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.0.7 to 4.1.1

#8 - 2020-02-04 05:49 - Go MAEDA

- Subject changed from Export PDF of WikiPage in Markdown Format with right toc to Right-aligned TOC tag is displayed in exported PDF if the text

formatting setting is Markdown
